Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058754 - freeipa-server-strict requirements cause conflicts in clean F19 install
Summary: freeipa-server-strict requirements cause conflicts in clean F19 install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipa
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 13:30 UTC by Dmytro Bezhnar
Modified: 2014-02-28 18:33 UTC (History)
5 users (show)

Fixed In Version: freeipa-3.3.4-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-28 18:33:25 UTC


Attachments (Terms of Use)

Description Dmytro Bezhnar 2014-01-28 13:30:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. fresh f18 installation (infrastructure server)
2. yum install freeipa*
3. get this error

Error: Package: freeipa-server-strict-3.3.3-2.fc19.x86_64 (updates)
           Requires: 389-ds-base = 1.3.1.11
           Available: 389-ds-base-1.3.1.2-1.fc19.x86_64 (fedora)
               389-ds-base = 1.3.1.2-1.fc19
           Available: 389-ds-base-1.3.1.17-1.fc19.x86_64 (updates)
               389-ds-base = 1.3.1.17-1.fc19
Error: Package: freeipa-server-strict-3.3.3-2.fc19.x86_64 (updates)
           Requires: pki-ca = 10.0.5
           Available: pki-ca-10.0.3-2.fc19.noarch (fedora)
               pki-ca = 10.0.3-2.fc19
           Available: pki-ca-10.0.6-1.fc19.noarch (updates)
               pki-ca = 10.0.6-1.fc19
Error: Package: freeipa-server-strict-3.3.3-2.fc19.x86_64 (updates)
           Requires: pki-ca = 10.0.5
           Available: pki-ca-10.0.3-2.fc19.noarch (fedora)
               pki-ca = 10.0.3-2.fc19
           Installing: pki-ca-10.0.6-1.fc19.noarch (updates)
               pki-ca = 10.0.6-1.fc19
Error: Package: freeipa-server-strict-3.3.3-2.fc19.x86_64 (updates)
           Requires: 389-ds-base = 1.3.1.11
           Available: 389-ds-base-1.3.1.2-1.fc19.x86_64 (fedora)
               389-ds-base = 1.3.1.2-1.fc19
           Installing: 389-ds-base-1.3.1.17-1.fc19.x86_64 (updates)
               389-ds-base = 1.3.1.17-1.fc19

Actual results:


Expected results:
freeipa successful installation

Additional info:

Comment 1 Martin Kosek 2014-01-28 14:47:50 UTC
I will fix the Requires this issue in FreeIPA 3.3.4 release which is currently in updates-testing. To workaround, use following command:

# yum install "freeipa-*" --exclude freeipa-server-stric

NOTE: freeipa-server-strict subpackage is deprecated and no longer build in Fedora 20.

Comment 2 Fedora Update System 2014-01-28 14:59:45 UTC
freeipa-3.3.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/freeipa-3.3.4-2.fc19

Comment 3 Fedora Update System 2014-01-29 03:06:03 UTC
Package freeipa-3.3.4-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-3.3.4-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1696/freeipa-3.3.4-2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-02-06 03:59:10 UTC
Package freeipa-3.3.4-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-3.3.4-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1696/freeipa-3.3.4-3.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-02-28 18:33:25 UTC
freeipa-3.3.4-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.